Skip to main content
GET
/
v2
/
api
/
core
/
wallets
/
{walletId}
/
transactions
/
in
Get incoming transactions by wallet ID
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/wallets/{walletId}/transactions/in \
  --header 'X-Signature: <api-key>'
{
  "transfers": [
    {
      "companyId": "ZTEST",
      "fromAddress": [
        "tb1qtx38mjl8gyg9gjk58tw88upytxwyxhmcqsv3le"
      ],
      "toWallet": "ZTEST-NOBENF-849P8XKKAO",
      "toAddress": "2Mz5ZH9e6Q53QfK2E1Azaos3Vq62niibhc1",
      "transferId": "TRI-ZTEST-63Q4DZ0KJP",
      "transferStatus": "PENDING_UNLOCK",
      "amountLedger": 641400,
      "ledgerRef": "2f6e77f8c4313d0925f71acf19a659398115bdf903e3af06b3b1776e756c096f",
      "actionId": "TX_IN_ACTION-ZTEST-7LE2JCPZ3D",
      "method": "TRANSFER",
      "createdAt": "2021-08-03T18:17:57Z",
      "currency": "<string>"
    }
  ]
}

Authorizations

X-Signature
string
header
required

Path Parameters

walletId
string
required

Query Parameters

limit
integer
default:10

Number of results per request

Required range: 1 <= x <= 1024
from
string

Start and inclusive date/time of the query

to
string

End and inclusive date/time of the query

Response

OK

transfers
object[]

Incoming transactions for the wallet